Subject: bug#15575: 24.3.50; New tty menus crash Emacs

From: Dani Moncayo <[email-masked]>
Date: Fri, 11 Oct 2013 16:43:35 +0200

>> > This was premature.  The last crash is practically the same as before
>> > and happened after I reenlarged the frame to full height.  Not easily
>> > reproducible I presume.
>>
>> Here too: If I modify the width of the cmd console window, I get a
>> crash the next I do anything menu-related.
>
> What exactly do you mean by that?  The width of the cmd console window
> cannot be made smaller on Windows, at least I cannot do that here (you
> get a horizontal scroll bar below, but the dimensions of the console
> buffer are unchanged).

I meant just that: take the mouse pointer to the right edge of the
console window and make that window a bit narrower.  The horizontal
scrollbar indeed appears at that moment.

>  I tried to enlarge the window by using
> Properties, but saw no crash.
>
> IOW, please provide a proper recipe to reproduce the problem, step by
> step, starting with "emacs -Q -nw".

Sure: simply type F10 after narrowing a bit the console window.

Here is the backtrace I get:

??
??:0
??
??:0
w32_backtrace at w32fns.c:7965
emacs_abort at w32fns.c:7997
terminate_due_to_signal at emacs.c:376
die at alloc.c:6605
deep_copy_glyph_row at xdisp.c:20609
display_tty_menu_item at xdisp.c:20661
tty_menu_display at term.c:2948
tty_menu_activate at term.c:3300
tty_menu_show at term.c:3781
Fx_popup_menu at menu.c:1454
Ffuncall at eval.c:2792
exec_byte_code at bytecode.c:919
funcall_lambda at eval.c:3023
Ffuncall at eval.c:2838
exec_byte_code at bytecode.c:919
funcall_lambda at eval.c:3023
Ffuncall at eval.c:2838
apply1 at eval.c:2555
Fcall_interactively at callint.c:378
Ffuncall at eval.c:2796
exec_byte_code at bytecode.c:919
funcall_lambda at eval.c:2957
Ffuncall at eval.c:2838
call1 at eval.c:2588
command_loop_1 at keyboard.c:1561
internal_condition_case at eval.c:1331
command_loop_2 at keyboard.c:1162
internal_catch at eval.c:1097
command_loop at keyboard.c:1141
recursive_edit_1 at keyboard.c:780
Frecursive_edit at keyboard.c:844
main at emacs.c:1577
__mingw_CRTStartup at crt1.c:244
mainCRTStartup at crt1.c:264
_start at unexw32.c:117
??
??:0
??
??:0
??
??:0

-- 
Dani Moncayo